-- Average CO2 emissions by conference country with population density
.output all-conf-countries-popdensity.txt
select Locations.cc1, Divisions.name, avg(CO2), count(*), Locations.lat, Locations.long, POPDENSITY.DENSITY from Papers
inner join Locations on Papers.confLocId = Locations.id		 
inner join Divisions on Locations.cc1 = Divisions.country
inner join POPDENSITY on Divisions.name = upper(POPDENSITY.name)
where Divisions.code = '00' and CO2 notnull
group by Locations.cc1
having count(*) > 20
order by avg(CO2) desc;
