use strict;

use Text::CSV;

my $file = "researchers-in-r-d.csv";
open(IN, $file) || die "Unable to open $file: $!\n";
my @researchers_in_r_d = <IN>;
close(IN);

$file = "author-co2-by-country.txt";
open(IN, $file) || die "Unable to open $file: $!\n";
my @author_co2_by_country = <IN>;
close(IN);

my $csv = Text::CSV->new();

for my $line (@author_co2_by_country) {
  chop($line);
  my $country = (split(/\t/, $line))[0];
  $country = (split(/,/, $country))[0]; # avoid KOREA, REPUBLIC OF
  for my $r_line (@researchers_in_r_d) {
    $csv->parse($r_line) or die "Failed to parse line: "
      . $csv->error_input
        . $csv->error_diag;
    my @fields = $csv->fields();
    my $r_country = $fields[0];
    if ($country =~ /.*$r_country.*/i) {
      print "$line\t" . $fields[5] . "\t" . sprintf("%.2f", $fields[6]) . "\n";
      last;
    }
  }
}
